summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-emulation/atari800
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-emulation/atari800')
-rw-r--r--games-emulation/atari800/Manifest2
-rw-r--r--games-emulation/atari800/atari800-3.1.0.ebuild95
-rw-r--r--games-emulation/atari800/files/atari800-3.1.0-tgetent-detection.patch12
-rw-r--r--games-emulation/atari800/files/atari800.cfg24
-rw-r--r--games-emulation/atari800/metadata.xml26
5 files changed, 159 insertions, 0 deletions
diff --git a/games-emulation/atari800/Manifest b/games-emulation/atari800/Manifest
new file mode 100644
index 00000000000..764b87a8828
--- /dev/null
+++ b/games-emulation/atari800/Manifest
@@ -0,0 +1,2 @@
+DIST atari800-3.1.0.tar.gz 1492289 SHA256 901b02cce92ddb0b614f8034e6211f24cbfc2f8fb1c6581ba0097b1e68f91e0c SHA512 c8f035c9be000c67dd854a14a236d165e6e2d30b5138f8772c6ea5c5290b0410525570e3ed9dcb2f9bcb129f97a36e6eef5993f0a5ad3cc993c6b59b127bcabe WHIRLPOOL e635a16fc8b2af8257f6f8d0e67fd155e98aee0d2c2831ca6c847561b1131f13b75c24a6ed68f089f0e1b04eaaa9d1e2239d53608875337fffce37d16a3ae5f4
+DIST xf25.zip 188942 SHA256 98ae0ad10413dd6f35ed80f5662dba6d790def70c7829046e52012a03b574b8a SHA512 306612fc2af41ed10d76103af83e141cfd8bd3ba2ea3cbd1d0b81d4d5b0108c06948a5c626648c8a2424536757a42a3f8b9af1fb63fa3c31096447ffed0f9923 WHIRLPOOL 58a77afd803b740b2be5038223bac173dc1ccd8e062d0e8e71355c496e113d1d486b1d8fc2e06e0ee58bb8a34948fe6be41312107bd311bdd54ae173ac850f5f
diff --git a/games-emulation/atari800/atari800-3.1.0.ebuild b/games-emulation/atari800/atari800-3.1.0.ebuild
new file mode 100644
index 00000000000..6f8c45907c6
--- /dev/null
+++ b/games-emulation/atari800/atari800-3.1.0.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit games autotools eutils
+
+DESCRIPTION="Atari 800 emulator"
+HOMEPAGE="http://atari800.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz
+ mirror://sourceforge/${PN}/xf25.zip"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="amd64 ~ppc x86"
+IUSE="ncurses oss opengl readline +sdl +sound"
+
+NOTSDL_DEPS="
+ sys-libs/ncurses
+ sound? (
+ !oss? ( media-libs/libsdl[sound] )
+ )"
+RDEPEND="sdl? ( >=media-libs/libsdl-1.2.0[opengl?,sound?,video] )
+ ncurses? ( ${NOTSDL_DEPS} )
+ !sdl? ( !ncurses? ( ${NOTSDL_DEPS} ) )
+ readline? ( sys-libs/readline:0
+ sys-libs/ncurses )
+ media-libs/libpng:0
+ sys-libs/zlib"
+DEPEND="${RDEPEND}
+ app-arch/unzip"
+
+src_prepare() {
+ # remove some not-so-interesting ones
+ rm -f DOC/{INSTALL.*,*.in,CHANGES.OLD} || die
+ sed -i \
+ -e '1s/ 1 / 6 /' \
+ src/atari800.man || die
+ sed -i \
+ -e "/SYSTEM_WIDE_CFG_FILE/s:/etc:${GAMES_SYSCONFDIR}:" \
+ src/cfg.c || die
+ sed -i \
+ -e "/share/s:/usr/share:${GAMES_DATADIR}:" \
+ src/atari.c || die
+ sed "s:/usr/share/games:${GAMES_DATADIR}:" \
+ "${FILESDIR}"/atari800.cfg > "${T}"/atari800.cfg || die
+
+ # Bug 544608
+ epatch "${FILESDIR}/${P}-tgetent-detection.patch"
+ pushd src > /dev/null && eautoreconf
+ popd > /dev/null
+}
+
+src_configure() {
+ local video="ncurses"
+ local sound=no
+
+ use sdl && video="sdl"
+ if use sound ; then
+ if use sdl ; then
+ sound=sdl
+ elif use oss ; then
+ sound=oss
+ else
+ echo
+ elog "Sound requested but neither sdl nor oss specified."
+ elog "Disabling sound suport."
+ fi
+ fi
+
+ echo
+ elog "Building ${PN} with ${video} video and ${sound} sound"
+ echo
+
+ cd src && \
+ egamesconf \
+ $(use_with readline) \
+ --with-video=${video} \
+ --with-sound=${sound}
+}
+
+src_compile() {
+ emake -C src
+}
+
+src_install () {
+ dogamesbin src/atari800
+ newman src/atari800.man atari800.6
+ dodoc README.1ST DOC/*
+ insinto "${GAMES_DATADIR}/${PN}"
+ doins "${WORKDIR}/"*.ROM
+ insinto "${GAMES_SYSCONFDIR}"
+ doins "${T}"/atari800.cfg
+ prepgamesdirs
+}
diff --git a/games-emulation/atari800/files/atari800-3.1.0-tgetent-detection.patch b/games-emulation/atari800/files/atari800-3.1.0-tgetent-detection.patch
new file mode 100644
index 00000000000..018e423af6b
--- /dev/null
+++ b/games-emulation/atari800/files/atari800-3.1.0-tgetent-detection.patch
@@ -0,0 +1,12 @@
+diff -ruN atari800-3.1.0/src/configure.ac new/src/configure.ac
+--- atari800-3.1.0/src/configure.ac 2014-04-12 15:58:16.000000000 +0200
++++ new/src/configure.ac 2015-03-26 23:36:24.419178078 +0100
+@@ -982,7 +982,7 @@
+ dnl existence of the tgetent symbol in readline. If not, we search for tgetent
+ dnl in a few other libraries. All done with a single AC_SEARCH_LIBS statement.
+ have_readline=no
+- AC_SEARCH_LIBS(tgetent, [readline termcap ncursesw ncurses curses], [
++ AC_SEARCH_LIBS(tgetent, [readline termcap tinfow ncursesw ncurses curses], [
+ AC_SEARCH_LIBS(readline, readline, [
+ AC_CHECK_HEADER([readline/readline.h], [
+ have_readline=yes
diff --git a/games-emulation/atari800/files/atari800.cfg b/games-emulation/atari800/files/atari800.cfg
new file mode 100644
index 00000000000..b31c67de095
--- /dev/null
+++ b/games-emulation/atari800/files/atari800.cfg
@@ -0,0 +1,24 @@
+Atari 800 Emulator, Version 1.2.2
+OS/A_ROM=atariosa.rom
+OS/B_ROM=/usr/share/games/atari800/ATARIOSB.ROM
+XL/XE_ROM=/usr/share/games/atari800/ATARIXL.ROM
+BASIC_ROM=/usr/share/games/atari800/ATARIBAS.ROM
+5200_ROM=
+DISK_DIR=
+ROM_DIR=
+H1_DIR=
+H2_DIR=
+H3_DIR=
+H4_DIR=
+HD_READ_ONLY=1
+EXE_DIR=
+STATE_DIR=
+PRINT_COMMAND=lpr %s
+SCREEN_REFRESH_RATIO=1
+MACHINE_TYPE=Atari OS/B
+RAM_SIZE=48
+DEFAULT_TV_MODE=NTSC
+DISABLE_BASIC=1
+ENABLE_SIO_PATCH=1
+ENABLE_H_PATCH=1
+ENABLE_P_PATCH=1
diff --git a/games-emulation/atari800/metadata.xml b/games-emulation/atari800/metadata.xml
new file mode 100644
index 00000000000..cd61b7b5793
--- /dev/null
+++ b/games-emulation/atari800/metadata.xml
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>games</herd>
+ <longdescription>
+Atari800 is an Atari 800, 800XL, 130XE and 5200 emulator for Unix, Amiga, MS-DOS, Atari
+TT/Falcon, SDL and WinCE. Our main objective is to create a freely distributable portable
+emulator (i.e. with source code available). It can be configured to run in the following
+ways :
+
+ * BASIC mode
+ * CURSES mode
+ * SVGALIB for Linux Systems
+ * X Window + Optional XVIEW or MOTIF User Interface
+ * CBM Amiga
+ * MS-DOS
+ * TOS (Atari Falcon030/TT030 and compatible)
+ * MS Windows (DirectX)
+ * SDL (many different platforms and systems)
+ * WinCE
+ * MacOS X
+</longdescription>
+ <upstream>
+ <remote-id type="sourceforge">atari800</remote-id>
+ </upstream>
+</pkgmetadata>